com.r3corda.core.node / NodeInfo

# NodeInfo

`data class NodeInfo`

Info about a network node that acts on behalf of some form of contract party.

### Constructors

<init> | `NodeInfo(address: SingleMessageRecipient, identity: Party, advertisedServices: Set<ServiceType> = emptySet(), physicalLocation: PhysicalLocation? = null)` Info about a network node that acts on behalf of some form of contract party.

### Properties

address | `val address: SingleMessageRecipient`
advertisedServices | `var advertisedServices: Set<ServiceType>`
identity | `val identity: Party`
physicalLocation | `val physicalLocation: PhysicalLocation?`